rte_pmd_mlx5_geneve_tlv(3)

NAME
rte_pmd_mlx5_geneve_tlv

SYNOPSIS

#include <rte_pmd_mlx5.h>

  Data Fields

rte_be16_t option_class
uint8_t option_type
uint8_t option_len
uint8_t match_on_class_mode
uint8_t offset
uint8_t sample_len
rte_be32_t * match_data_mask

Detailed Description

User configuration structure using to create parser for single GENEVE TLV option.

Definition at line 288 of file rte_pmd_mlx5.h.

Field Documentation

  rte_be16_t option_class
The class of the GENEVE TLV option. Relevant only when 'match_on_class_mode' is 1.

Definition at line 293 of file rte_pmd_mlx5.h.

  uint8_t option_type
The type of the GENEVE TLV option. This field is the identifier of the option.

Definition at line 298 of file rte_pmd_mlx5.h.

  uint8_t option_len
The length of the GENEVE TLV option data excluding the option header in DW granularity.

Definition at line 303 of file rte_pmd_mlx5.h.

  uint8_t match_on_class_mode
Indicator about class field role in this option: 0 - class is ignored. 1 - class is fixed (the class defines the option along with the type). 2 - class matching per flow.

Definition at line 310 of file rte_pmd_mlx5.h.

  uint8_t offset
The offset of the first sample in DW granularity. This offset is relative to first of option data. The 'match_data_mask' corresponds to option data since this offset.

Definition at line 316 of file rte_pmd_mlx5.h.

  uint8_t sample_len
The number of DW to sample. This field describes the length of 'match_data_mask' in DW granularity.

Definition at line 322 of file rte_pmd_mlx5.h.

  rte_be32_t* match_data_mask
Array of DWs which each bit marks if this bit should be sampled. Each nonzero DW consumes one DW from maximum 7 DW in total.

Definition at line 327 of file rte_pmd_mlx5.h.

Author

Generated automatically by Doxygen for DPDK from the source code.